I have a iphone 3g with version 2.1 ,how to unlock?

Discussion in 'Jailbreaks and iOS Hacks' started by Tuckmonster, Feb 22, 2009.

  1. Tuckmonster macrumors regular

    Joined:
    Dec 16, 2007
    #1
    I got a iphone 3g and I would like to unlock, it it has version 2.1
     
  2. The1TexasRanger macrumors member

    The1TexasRanger

    Joined:
    Feb 19, 2009
    #2
    If you have Baseband 2.30.xx Im pretty sure the only was is to use a sim card like rebel sim which ur original sim goes over the top of it. If you have later version then you jailbreak it then with cydia installer install yellowsn0w.
     
  3. upaymeifixit macrumors 6502a

    upaymeifixit

    Joined:
    Feb 13, 2009
    #3
    How-To

    Not true. It's fairly simple. Download QuickPwn and follow your instincts.

    If you are doing this on a Mac you will need to take a look at my previous fix. (I'm #10)

    Does that sum it up? Or do you need further help?
     
  4. NeoMayhem macrumors 6502a

    Joined:
    Aug 22, 2003
    #4
    Install stock 2.2 (NOT 2.2.1, or you wont be able to unlock)

    Then use PwnageTool and patch a 2.2.1 image. Install that on your phone. Then you can use yellowsn0w from Cydia.
     
  5. iTouch macrumors 6502

    Joined:
    Sep 12, 2007
    #5
    Yeah it hasn't been cracked yet and that is an automatic update with 2.2.1. You can create a custom 2.2.1. firmware, which doesn't change the baseband. I just received my 3G and had to get turbo sim in order for it to work on T-Mobile.
     
  6. upaymeifixit macrumors 6502a

    upaymeifixit

    Joined:
    Feb 13, 2009
    #6
    I'm really sorry but...

    I am very new to MacRumors and, uh, well... how do I start a new thread? Sorry I know it doesn't really have anything to do with this one but... I can't start a new one.

    Sorry.
     
  7. Moi un Mouton macrumors 68000

    Joined:
    Mar 18, 2008
    Location:
    Bracknell UK
    #7
    Well assuming you're not joking, there's a "New Thread" button at the top left of each forum (not each thread)
     
  8. bytethese macrumors 68030

    bytethese

    Joined:
    Jun 20, 2007
    Location:
    Cranford, NJ
    #8
    I wouldn't recommend the USB kext edits. Just get a powered USB hub, 2.2.1 firmware, Pwnage Tool and yellowsn0w. :)
     
  9. The1TexasRanger macrumors member

    The1TexasRanger

    Joined:
    Feb 19, 2009
    #9
    Yeah LOL... Thats what happened to me! I just got the rebel sim installed today! Works great so far. Hopeful they will come out hack for the new 2.30 version baseband soon...
     
  10. upaymeifixit macrumors 6502a

    upaymeifixit

    Joined:
    Feb 13, 2009
    #10
    Thanks!

    Yeah. Sorry. I guess I didn't look that hard. Thanks!
     
  11. atomicparker macrumors member

    atomicparker

    Joined:
    Oct 28, 2003
    Location:
    Ottawa, ON
    #11
    Quick question about stock 2.2...Will iTunes even install that straight up anymore? Or will it give error -5, which I think is a version problem? I tried putting 2.2 stock over a 2.2 JB the other day and it wouldn't let me in iTunes...
     
  12. Moi un Mouton macrumors 68000

    Joined:
    Mar 18, 2008
    Location:
    Bracknell UK
    #12
    Try it in DFU mode and it should install OK
     

Share This Page